NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Facet.CreateTransitionBuilder Class Reference

Represents a NXOpen.Facet.CreateTransitionBuilder builder. More...

Inheritance diagram for NXOpen.Facet.CreateTransitionBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Types { Round, Flat }
 the transition type. More...
 

Properties

unsafe NXOpen.Expression Distance [get]
 Returns the distance. More...
 
unsafe bool IsClosed [get, set]
 Returns or sets the is closed. More...
 
unsafe bool IsEditCopy [get, set]
 Returns or sets the flag indicating if the transition is created on the copy of the input facet body. More...
 
unsafe NXOpen.Expression Radius [get]
 Returns the radius. More...
 
unsafe NXOpen.DisplayableObject SelectedBody [get, set]
 Returns or sets the selected facet body. More...
 
unsafe
NXOpen.Features.GeometricConstraintDataManager 
SelectedPoints [get]
 Returns the selected points. More...
 
unsafe
NXOpen.Facet.CreateTransitionBuilder.Types 
Type [get, set]
 Returns or sets the type. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Facet.CreateTransitionBuilder builder.

This class creates the blend/chamfer of a facet body.

To create a new instance of this class, use NXOpen.Facet.FacetModelingCollection.CreateCreateTransitionBuilder

Default values.

Property Value

Distance.Value

5 (millimeters part), 0.2 (inches part)

IsClosed

0

IsEditCopy

0

Radius.Value

5 (millimeters part), 0.2 (inches part)

Created in NX12.0.0

Member Enumeration Documentation

the transition type.

The round type creates fillet type transition. The flat type creates chamfer type transition.

Enumerator
Round 
Flat 

Property Documentation

unsafe NXOpen.Expression NXOpen.Facet.CreateTransitionBuilder.Distance
get

Returns the distance.

This value is for chamfer operation.

Created in NX12.0.0

License requirements: None.

unsafe bool NXOpen.Facet.CreateTransitionBuilder.IsClosed
getset

Returns or sets the is closed.

The flag indicate if the edge is closed or not.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe bool NXOpen.Facet.CreateTransitionBuilder.IsEditCopy
getset

Returns or sets the flag indicating if the transition is created on the copy of the input facet body.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.Expression NXOpen.Facet.CreateTransitionBuilder.Radius
get

Returns the radius.

This value is for blend operation.

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.DisplayableObject NXOpen.Facet.CreateTransitionBuilder.SelectedBody
getset

Returns or sets the selected facet body.

It could be a convergent object.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.Features.GeometricConstraintDataManager NXOpen.Facet.CreateTransitionBuilder.SelectedPoints
get

Returns the selected points.

The points will define the edge which needs blend/chamfer.

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Facet.CreateTransitionBuilder.Types NXOpen.Facet.CreateTransitionBuilder.Type
getset

Returns or sets the type.

This value defines the transition type.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.